#!../../bin/linux-x86_64/Keithley_2701

## You may have to change Keithley_2701 to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

#epicsEnvSet("user", "pfrtest:Keithley2701")
epicsEnvSet("user", "PFRBM:LFB")

## Register all support components
dbLoadDatabase "dbd/Keithley_2701.dbd"
Keithley_2701_registerRecordDeviceDriver pdbbase

dbLoadRecords("db/Keithley2701.db","USER=$(user),DEV=PS1")
#dbLoadRecords("db/Keithley2701_Single.db","USER=$(user),SCAN=.1 second,DEV=PS1")
#dbLoadRecords("db/Keithley2701_Single.db","USER=$(user),SCAN=Passive,DEV=PS1")
dbLoadRecords("db/Keithley2701_Multi.db","USER=$(user),SCAN=2 second,DEV=PS1,SLOT=1,STCH=01,CHCNT=10")
dbLoadTemplate("db/Keithley2701_Ch.substitutions")
epicsEnvSet("STREAM_PROTOCOL_PATH", ".:../../Keithley_2701App/Db")
#drvAsynIPPortConfigure ("PS1", "172.28.65.244:1394")
drvAsynIPPortConfigure ("PS1", "172.28.8.244:1394")

## Run this to trace the stages of iocInit
#traceIocInit

#asynSetTraceIOMask("PS1",0,7)
#asynSetTraceMask("PS1",0,9)

cd ${TOP}/iocBoot/${IOC}
iocInit

# For Single channel initialize
#dbpf $(user):clear.PROC 1
#dbpf $(user):reset.PROC 1
#dbpf $(user):setFuncDCV.PROC 1
#dbpf $(user):NPLC.PROC 1
#dbpf $(user):setVoltRange 10

# For Multi channel initialize
dbpf $(user):reset.PROC 1
dbpf $(user):setMultiReadTemp.PROC 1
dbpf $(user):setSampleCount.PROC 1
dbpf $(user):setRouteScan.PROC 1
